#define OUT1PIN	(12)
#define OUT2PIN	(13)

void setup() 
{
	// ESP8266のanalogWrite()の引数の範囲の初期値は[0-1023]。
	// 通常のArduinoのanalogWrite()の引数の範囲と同じ[0-255]に変更する。
	analogWriteRange(255);
	
	pinMode(OUT1PIN, OUTPUT);
	pinMode(OUT1PIN, OUTPUT);
}

void MotorDrive( int iOut1Pin, int iOut2Pin, int iMotor )
{
	if( -5 < iMotor
	 &&  5 > iMotor )
	{
		analogWrite(iOut1Pin, 0);
		analogWrite(iOut2Pin, 0);
	}
	else if( 0 < iMotor )
	{
		analogWrite(iOut1Pin, (int)((iMotor*0.01)*255.0) );
		analogWrite(iOut2Pin, 0);
	}
	else
	{
		analogWrite(iOut1Pin, 0);
		analogWrite(iOut2Pin, (int)((-iMotor*0.01)*255.0) );
	}
}

int g_iMotor = 0;
int g_iIncrease = 10;

void loop() 
{
	MotorDrive( OUT1PIN, OUT2PIN, g_iMotor );
	g_iMotor += g_iIncrease;
	if( 100 < g_iMotor )
	{
		g_iMotor = 90;
		g_iIncrease = -10;
	}
	if( -100 > g_iMotor )
	{
		g_iMotor = -90;
		g_iIncrease = 10;
	}
	delay(1000);
} 
